# DCIS

A project to investigate long term impact of heart irraditaion in breast cancer.

## Slicer

This project relates on [Slicer][]. I am using [SlicerLabkeyExtension][SLE] codes to run Slicer on a headless server. Codes in `slicerScripts` are run via

```bash
SlicerLabkeyExtension/slicerScripts/runSlicer.sh [thisProject]/slicerScripts/parseDicom.py config.json
```

If you are not using headless servers, X is not a problem, and one can run via

```bash
Slicer --no-main-window --python-scripts [thisProject]/slicerScripts/parseDicom.py config.json
```

### Slicer notes

Code was tested on `Slicer-5.4.0-linux-amd64` with SlicerRT.

## Labkey

Based on [Labkey][] database server using [labkeyInterface][].

## Orthanc

Depends on [orthancInterface][]. [Orthanc][] is an open source PACS implementation.

[SLE]: https://git0.fmf.uni-lj.si/studen/SlicerLabkeyExtension
[labkeyInterface]: https://git0.fmf.uni-lj.si/studen/labkeyInterface
[orthancInterface]: https://git0.fmf.uni-lj.si/studen/orthancInterface
[Slicer]: https://www.slicer.org/
[Orthanc]: https://www.orthanc-server.com/
[Labkey]: https://labkey.org
